Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.wireless.me.core
Class Service

    java.lang.Object
      oracle.wireless.me.core.Service

public class Service
extends java.lang.Object

The Service object represents a web service available at server. Call objects created from this Service are used to make remote procedure calls to this web service.

Version:
  1.0

Field Summary
`static java.lang.String` | `DEFAULT_NAMESPACE` The name of the default namespace.
`static java.lang.String` | `MAX_REQUEST_SIZE` Property of type java.lang.Integer that holds an integer greater than or equal to 0.
`static java.lang.String` | `MULTIPLE_HTTP` Property of type java.lang.Boolean that controls how large requests and responses are broken up and sent to the server when MAX_REQUEST_SIZE > 0.
`static java.lang.String` | `PASSWORD` Property of type java.lang.String that holds a password necessary to log-in to the web service.
`static java.lang.String` | `SESSION_MAINTAIN` Property of type java.lang.Boolean that indicates whether to enable or disable sessions in this service.
`static java.lang.String` | `USERNAME` Property of type java.lang.String that holds a username necessary to log-in to the web service.

Method Summary
`Call` | `createCall(java.lang.String callName, int minutesToLive)` Makes a Call object that represents a remote procedure on this Service.
`java.lang.String` | `getNamespace()` Get the name of this Service's namespace
`java.lang.Object` | `getProperty(java.lang.String name)` Gets the value of a named property.
`java.lang.String` | `getServiceName()` Get the name of this Service
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the value of a named property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION_MAINTAIN

    public static final java.lang.String SESSION_MAINTAIN

  Property of type java.lang.Boolean that indicates whether to enable or disable sessions in this service. Sessions are enabled by default. Set this property to Boolean(false) to disable sessions.

  See Also:
    Constant Field Values

### USERNAME

    public static final java.lang.String USERNAME

  Property of type java.lang.String that holds a username necessary to log-in to the web service.

  See Also:
    Constant Field Values

### PASSWORD

    public static final java.lang.String PASSWORD

  Property of type java.lang.String that holds a password necessary to log-in to the web service.

  See Also:
    Constant Field Values

### MAX_REQUEST_SIZE

    public static final java.lang.String MAX_REQUEST_SIZE

  Property of type java.lang.Integer that holds an integer greater than or equal to 0. It specifies the maximum request and response sizes supported by the network. 0 means do not break up requests (the default). An integer greater than 0 means break up requests into chunks of this size and send each chunk individually. This is a temporary solution to network problems (some networks are dropping HTTP requests and responses that exceed a certain size.) This property affects both requests and responses. Internally, the specified max request size is reduced by an estimate of the size of the HTTP header (currently 60). If the resulting max request size is less than a certain minimum (currently 10), the max request size is set to that minimum.

  See Also:
    Constant Field Values

### MULTIPLE_HTTP

    public static final java.lang.String MULTIPLE_HTTP

  Property of type java.lang.Boolean that controls how large requests and responses are broken up and sent to the server when MAX_REQUEST_SIZE > 0. It is ignored if MAX_REQUEST_SIZE < 1. The default is false. If MULTIPLE_HTTP is false, the request/response is broken up by writing pieces to the output stream and flushing each piece in a loop, all within the same HTTP request/response. If MULTIPLE_HTTP is true, the request/response is broken up by sending separate HTTP requests/responses for each piece.

  See Also:
    Constant Field Values

### DEFAULT_NAMESPACE

    public static final java.lang.String DEFAULT_NAMESPACE

  The name of the default namespace.

  See Also:
    Constant Field Values

Method Detail

### getServiceName

    public java.lang.String getServiceName()

  Get the name of this Service

  Returns:
    String with service name

### getNamespace

    public java.lang.String getNamespace()

  Get the name of this Service's namespace

  Returns:
    String with namespace

### createCall

    public Call createCall(java.lang.String callName,
                           int minutesToLive)

  Makes a Call object that represents a remote procedure on this Service.

  Parameters:
    `callName` - The name of the remote procedure.
    `minutesToLive` - int positive = number of minutes cached response is valid, 0 = do not cache, negative = cache response forever
  Returns:
    Call object

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Sets the value of a named property.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Gets the value of a named property.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Oracle Corporation. All Rights Reserved.